package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 商品表
 * @TableName commodities
 */
@TableName(value ="commodities")
@Data
public class Commodities implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商品分组id
     */
    private Long commoditiesGroupId;

    /**
     * 商品名称
     */
    private String commoditiesName;

    /**
     * 商品图片
     */
    private String commoditiesImage;

    /**
     * 商品价格
     */
    private Double commoditiesPrice;

    /**
     * 库存数量
     */
    private Integer inventoryStatus;

    /**
     * 商品状态：上架，下架
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}