package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 美甲师认证表
 * @TableName manicurist_auth
 */
@TableName(value ="manicurist_auth")
@Data
public class ManicuristAuth implements Serializable {
    /**
     * 认证唯一标识（主键，自增）
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 美甲师ID（关联美甲师表）
     */
    private Long artistId;

    /**
     * 认证编号
     */
    private String certification_number;

    /**
     * 发证机构
     */
    private String issuing_authority;

    /**
     * 证书文件的存储路径或链接
     */
    private String certificate_path;

    /**
     * 记录创建时间
     */
    private Date createTime;

    /**
     * 记录更新时间
     */
    private Date updateTime;

    /**
     * 逻辑删除标志，0 表示未删除，1 表示已删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}