package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Attribute;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.attribute.AttributeAddRequest;
import com.cj.jiaqingjiayi.model.request.attribute.AttributeUpdateRequest;
import com.cj.jiaqingjiayi.model.vo.SpecificationsVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【attribute(属性表)】的数据库操作Service
* @createDate 2024-08-21 16:29:45
*/
public interface AttributeService extends IService<Attribute> {

    /**
     * 根据规格id获取属性脱敏列表
     */
    List<SpecificationsVO> getBySpecificationsVoId(List<SpecificationsVO> specificationsVOList);

    /**
     * 添加属性
     */
    Boolean addAttribute(List<AttributeAddRequest> attributeAddRequest, Long businessId, Long specificationsId);

    /**
     * 校验
     */
    void validAttribute(Attribute attribute);

    /**
     * 更新属性信息
     */
    Boolean updateAttribute(List<AttributeUpdateRequest> attributeUpdateRequests, Long businessId, Long specificationsId);

}
