package com.cj.jiaqingjiayi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cj.jiaqingjiayi.model.domain.Commodities;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.Commodities.CommoditiesQueryRequest;
import com.cj.jiaqingjiayi.model.vo.CommoditiesVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【commodities(商品表)】的数据库操作Service
* @createDate 2024-08-20 19:55:49
*/
public interface CommoditiesService extends IService<Commodities> {

    /**
     * 校验
     */
    void validCommodities(Commodities commodities, Boolean update);

    /**
     * 添加商品
     */
    Long addCommodities(Commodities commodities);

    /**
     * 根据分组id删除商品
     */
    void removeByCommoditiesGroupId(Long commoditiesId);

    /**
     * 更新菜品
     */
    Boolean updateCommodities(Commodities commodities);

    /**
     * 获取商品脱敏信息
     */
    CommoditiesVO getCommoditiesVO(Commodities commodities);

    /**
     * 获取商品查询条件
     */
    QueryWrapper<Commodities> getWrapper(CommoditiesQueryRequest commoditiesQueryRequest);

    /**
     * 获取商品脱敏信信息
     */
    List<CommoditiesVO> getCommoditiesVOList(List<Commodities> commoditiesVOList);


}
