package com.cj.jiaqingjiayi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cj.jiaqingjiayi.common.ErrorCode;
import com.cj.jiaqingjiayi.exception.BusinessException;
import com.cj.jiaqingjiayi.model.domain.Business;
import com.cj.jiaqingjiayi.model.domain.BusinessAuth;
import com.cj.jiaqingjiayi.model.vo.BusinessAdminVO;
import com.cj.jiaqingjiayi.service.BusinessAuthService;
import com.cj.jiaqingjiayi.mapper.BusinessAuthMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
* @author 高木
* @description 针对表【business_auth(商家认证)】的数据库操作Service实现
* @createDate 2024-07-28 17:18:28
*/
@Service
public class BusinessAuthServiceImpl extends ServiceImpl<BusinessAuthMapper, BusinessAuth>
    implements BusinessAuthService{

    @Override
    public BusinessAdminVO getBusinessAdminVO(Business business) {
        if (business == null) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR);
        }
        BusinessAdminVO businessAdminVO = new BusinessAdminVO();

        //关联认证信息 传入到视图中
        BusinessAuth businessAuth = new BusinessAuth();
        Long id = business.getId();
        if (id != null && id > 0) {
            QueryWrapper<BusinessAuth> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("businessId", id);
            businessAuth = this.getOne(queryWrapper);
        }

        BeanUtils.copyProperties(business, businessAdminVO);

        if (businessAuth == null) {
            throw new BusinessException(ErrorCode.NULL_ERROR);
        }

        BeanUtils.copyProperties(businessAuth, businessAdminVO);

        return businessAdminVO;
    }

}




